Difference between revisions of "Arch Floor/es"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Category:Arch/es")
(Updating to match new version of source page)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/es|Name=Arch Floor|Name/es=Arch Floor|Workbenches=[[Arch Module/es|Entorno de Arquitectura]]|MenuLocation=Arquitectura → Piso|Shortcut=F L|SeeAlso=[[Arch Cell/es| Arch Celda]]}}
 
{{GuiCommand/es|Name=Arch Floor|Name/es=Arch Floor|Workbenches=[[Arch Module/es|Entorno de Arquitectura]]|MenuLocation=Arquitectura → Piso|Shortcut=F L|SeeAlso=[[Arch Cell/es| Arch Celda]]}}
 +
</div>
  
 
==Descripción==
 
==Descripción==
Line 8: Line 10:
 
==Como utilizar==
 
==Como utilizar==
  
 +
<div class="mw-translate-fuzzy">
 
# Opcionalmente, seleccione uno o más objetos para incluir en su nuevo piso
 
# Opcionalmente, seleccione uno o más objetos para incluir en su nuevo piso
 
# Presione el botón {{KEY|[[Image:Arch Floor.png|16px]] '''Arch Floor'''}} o presione las teclas {{KEY|F}} y {{KEY|L}}
 
# Presione el botón {{KEY|[[Image:Arch Floor.png|16px]] '''Arch Floor'''}} o presione las teclas {{KEY|F}} y {{KEY|L}}
 +
</div>
  
 
==Opciones==
 
==Opciones==
  
 +
<div class="mw-translate-fuzzy">
 
* Después de la creación de un piso, puedes añadirle más objetos arrastrando y soltándolos en la vista en árbol o utilizando la herramienta [[Image:Arch Add.png|16px]] [[Arch Add/es|Añadir]]
 
* Después de la creación de un piso, puedes añadirle más objetos arrastrando y soltándolos en la vista en árbol o utilizando la herramienta [[Image:Arch Add.png|16px]] [[Arch Add/es|Añadir]]
* Puedes eliminar objetos de un piso arrastrando y soltándolos fuera en la vista de árbol o utilizando la herramienta [[Image:Arch Remove.png|16px]] [[Arch Remove/es|Remover]]  
+
* Puedes eliminar objetos de un piso arrastrando y soltándolos fuera en la vista de árbol o utilizando la herramienta [[Image:Arch Remove.png|16px]] [[Arch Remove/es|Remover]]
 +
</div>
  
 
==Propiedades==
 
==Propiedades==
Line 20: Line 26:
 
* {{PropertyData/es|Height}}: La altura del piso, para ser utilizado por sus objetos añadidos
 
* {{PropertyData/es|Height}}: La altura del piso, para ser utilizado por sus objetos añadidos
  
 +
<div class="mw-translate-fuzzy">
 
==Programación==
 
==Programación==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
La herramientas piso se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando las siguiente funcion:
 
La herramientas piso se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando las siguiente funcion:
 +
</div>
 
{{Code|code=
 
{{Code|code=
makeFloor ([objectslist])
+
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 
:Crea un piso incluyendo los objetos de la lista dada.
 
:Crea un piso incluyendo los objetos de la lista dada.
 +
</div>
  
 
Ejemplo:
 
Ejemplo:
 
{{Code|code=
 
{{Code|code=
import Arch
+
import FreeCAD, Draft, Arch
Arch.makeFloor()
+
 
 +
p1 = FreeCAD.Vector(0, 0, 0)
 +
p2 = FreeCAD.Vector(2000, 0, 0)
 +
baseline = Draft.makeLine(p1, p2)
 +
baseline2 = Draft.makeLine(p1, -1*p2)
 +
 
 +
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
 +
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
Floor = Arch.makeFloor([Wall1, Wall2])
 +
 
 +
Building = Arch.makeBuilding([Floor])
 +
Site = Arch.makeSite(Building)
 +
FreeCAD.ActiveDocument.recompute()  
 
}}
 
}}
 
+
<div class="mw-translate-fuzzy">
 
[[Category:Arch/es]]
 
[[Category:Arch/es]]
 +
</div>

Revision as of 19:36, 30 January 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎português • ‎русский • ‎svenska • ‎Türkçe • ‎українська

Arch Floor.svg Arch Floor

Ubicación en el Menú
Arquitectura → Piso
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
F L
Introducido en versión
-
Ver también
Arch Celda


Descripción

El Piso de Arquitectura es un tipo especial de Celda que tiene un par de propiedades adicionales particularmente ajustadas para la construcción de pisos. En particular, tienen una propiedad de altura, que sus objetos descendientes (muros y estructuras) pueden utilizar para ajustar su altura automáticamente

Como utilizar

  1. Opcionalmente, seleccione uno o más objetos para incluir en su nuevo piso
  2. Presione el botón Arch Floor.png Arch Floor o presione las teclas F y L

Opciones

  • Después de la creación de un piso, puedes añadirle más objetos arrastrando y soltándolos en la vista en árbol o utilizando la herramienta Arch Add.png Añadir
  • Puedes eliminar objetos de un piso arrastrando y soltándolos fuera en la vista de árbol o utilizando la herramienta Arch Remove.png Remover

Propiedades

  • DATOSHeight: La altura del piso, para ser utilizado por sus objetos añadidos

Programación

La herramientas piso se puede utilizar en macros y desde la consola de Python utilizando las siguiente funcion:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Crea un piso incluyendo los objetos de la lista dada.

Ejemplo:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()